//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.2 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.02.07 at 09:07:12 PM CET 
//


package org.tdwg.abcd2;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.NormalizedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * General purpose measurement and fact (descriptor) recording.
 * 
 * <p>Java class for MeasurementOrFact complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MeasurementOrFact"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="MeasurementOrFactAtomized" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="MeasuredBy" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
 *                   &lt;element name="MeasurementDateTime" type="{http://www.tdwg.org/schemas/abcd/3.0}DateTimeISO" minOccurs="0"/&gt;
 *                   &lt;element name="Duration" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
 *                   &lt;element name="Method" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
 *                   &lt;element name="Parameter" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
 *                   &lt;element name="AppliesTo" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
 *                   &lt;element name="LowerValue" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL"/&gt;
 *                   &lt;element name="UpperValue" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
 *                   &lt;element name="UnitOfMeasurement" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
 *                   &lt;element name="Accuracy" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
 *                   &lt;element name="MeasurementOrFactReference" type="{http://www.tdwg.org/schemas/abcd/3.0}Reference" minOccurs="0"/&gt;
 *                   &lt;element name="IsQuantitative" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *                   &lt;element name="ReferenceSystem" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="MeasurementOrFactText" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MeasurementOrFact", propOrder = {
    "measurementOrFactAtomized",
    "measurementOrFactText"
})
public class MeasurementOrFact {

    @XmlElement(name = "MeasurementOrFactAtomized")
    protected MeasurementOrFact.MeasurementOrFactAtomized measurementOrFactAtomized;
    @XmlElement(name = "MeasurementOrFactText")
    protected StringL measurementOrFactText;

    /**
     * Gets the value of the measurementOrFactAtomized property.
     * 
     * @return
     *     possible object is
     *     {@link MeasurementOrFact.MeasurementOrFactAtomized }
     *     
     */
    public MeasurementOrFact.MeasurementOrFactAtomized getMeasurementOrFactAtomized() {
        return measurementOrFactAtomized;
    }

    /**
     * Sets the value of the measurementOrFactAtomized property.
     * 
     * @param value
     *     allowed object is
     *     {@link MeasurementOrFact.MeasurementOrFactAtomized }
     *     
     */
    public void setMeasurementOrFactAtomized(MeasurementOrFact.MeasurementOrFactAtomized value) {
        this.measurementOrFactAtomized = value;
    }

    /**
     * Gets the value of the measurementOrFactText property.
     * 
     * @return
     *     possible object is
     *     {@link StringL }
     *     
     */
    public StringL getMeasurementOrFactText() {
        return measurementOrFactText;
    }

    /**
     * Sets the value of the measurementOrFactText property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringL }
     *     
     */
    public void setMeasurementOrFactText(StringL value) {
        this.measurementOrFactText = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="MeasuredBy" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
     *         &lt;element name="MeasurementDateTime" type="{http://www.tdwg.org/schemas/abcd/3.0}DateTimeISO" minOccurs="0"/&gt;
     *         &lt;element name="Duration" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
     *         &lt;element name="Method" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
     *         &lt;element name="Parameter" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
     *         &lt;element name="AppliesTo" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
     *         &lt;element name="LowerValue" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL"/&gt;
     *         &lt;element name="UpperValue" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
     *         &lt;element name="UnitOfMeasurement" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
     *         &lt;element name="Accuracy" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
     *         &lt;element name="MeasurementOrFactReference" type="{http://www.tdwg.org/schemas/abcd/3.0}Reference" minOccurs="0"/&gt;
     *         &lt;element name="IsQuantitative" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
     *         &lt;element name="ReferenceSystem" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "measuredBy",
        "measurementDateTime",
        "duration",
        "method",
        "parameter",
        "appliesTo",
        "lowerValue",
        "upperValue",
        "unitOfMeasurement",
        "accuracy",
        "measurementOrFactReference",
        "isQuantitative",
        "referenceSystem"
    })
    public static class MeasurementOrFactAtomized {

        @XmlElement(name = "MeasuredBy")
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        @XmlSchemaType(name = "normalizedString")
        protected String measuredBy;
        @XmlElement(name = "MeasurementDateTime")
        protected String measurementDateTime;
        @XmlElement(name = "Duration")
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        @XmlSchemaType(name = "normalizedString")
        protected String duration;
        @XmlElement(name = "Method")
        protected StringL method;
        @XmlElement(name = "Parameter")
        protected StringL parameter;
        @XmlElement(name = "AppliesTo")
        protected StringL appliesTo;
        @XmlElement(name = "LowerValue", required = true)
        protected StringL lowerValue;
        @XmlElement(name = "UpperValue")
        protected StringL upperValue;
        @XmlElement(name = "UnitOfMeasurement")
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        @XmlSchemaType(name = "normalizedString")
        protected String unitOfMeasurement;
        @XmlElement(name = "Accuracy")
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        @XmlSchemaType(name = "normalizedString")
        protected String accuracy;
        @XmlElement(name = "MeasurementOrFactReference")
        protected Reference measurementOrFactReference;
        @XmlElement(name = "IsQuantitative")
        protected Boolean isQuantitative;
        @XmlElement(name = "ReferenceSystem")
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        @XmlSchemaType(name = "normalizedString")
        protected String referenceSystem;

        /**
         * Gets the value of the measuredBy property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getMeasuredBy() {
            return measuredBy;
        }

        /**
         * Sets the value of the measuredBy property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setMeasuredBy(String value) {
            this.measuredBy = value;
        }

        /**
         * Gets the value of the measurementDateTime property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getMeasurementDateTime() {
            return measurementDateTime;
        }

        /**
         * Sets the value of the measurementDateTime property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setMeasurementDateTime(String value) {
            this.measurementDateTime = value;
        }

        /**
         * Gets the value of the duration property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getDuration() {
            return duration;
        }

        /**
         * Sets the value of the duration property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setDuration(String value) {
            this.duration = value;
        }

        /**
         * Gets the value of the method property.
         * 
         * @return
         *     possible object is
         *     {@link StringL }
         *     
         */
        public StringL getMethod() {
            return method;
        }

        /**
         * Sets the value of the method property.
         * 
         * @param value
         *     allowed object is
         *     {@link StringL }
         *     
         */
        public void setMethod(StringL value) {
            this.method = value;
        }

        /**
         * Gets the value of the parameter property.
         * 
         * @return
         *     possible object is
         *     {@link StringL }
         *     
         */
        public StringL getParameter() {
            return parameter;
        }

        /**
         * Sets the value of the parameter property.
         * 
         * @param value
         *     allowed object is
         *     {@link StringL }
         *     
         */
        public void setParameter(StringL value) {
            this.parameter = value;
        }

        /**
         * Gets the value of the appliesTo property.
         * 
         * @return
         *     possible object is
         *     {@link StringL }
         *     
         */
        public StringL getAppliesTo() {
            return appliesTo;
        }

        /**
         * Sets the value of the appliesTo property.
         * 
         * @param value
         *     allowed object is
         *     {@link StringL }
         *     
         */
        public void setAppliesTo(StringL value) {
            this.appliesTo = value;
        }

        /**
         * Gets the value of the lowerValue property.
         * 
         * @return
         *     possible object is
         *     {@link StringL }
         *     
         */
        public StringL getLowerValue() {
            return lowerValue;
        }

        /**
         * Sets the value of the lowerValue property.
         * 
         * @param value
         *     allowed object is
         *     {@link StringL }
         *     
         */
        public void setLowerValue(StringL value) {
            this.lowerValue = value;
        }

        /**
         * Gets the value of the upperValue property.
         * 
         * @return
         *     possible object is
         *     {@link StringL }
         *     
         */
        public StringL getUpperValue() {
            return upperValue;
        }

        /**
         * Sets the value of the upperValue property.
         * 
         * @param value
         *     allowed object is
         *     {@link StringL }
         *     
         */
        public void setUpperValue(StringL value) {
            this.upperValue = value;
        }

        /**
         * Gets the value of the unitOfMeasurement property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getUnitOfMeasurement() {
            return unitOfMeasurement;
        }

        /**
         * Sets the value of the unitOfMeasurement property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setUnitOfMeasurement(String value) {
            this.unitOfMeasurement = value;
        }

        /**
         * Gets the value of the accuracy property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getAccuracy() {
            return accuracy;
        }

        /**
         * Sets the value of the accuracy property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setAccuracy(String value) {
            this.accuracy = value;
        }

        /**
         * Gets the value of the measurementOrFactReference property.
         * 
         * @return
         *     possible object is
         *     {@link Reference }
         *     
         */
        public Reference getMeasurementOrFactReference() {
            return measurementOrFactReference;
        }

        /**
         * Sets the value of the measurementOrFactReference property.
         * 
         * @param value
         *     allowed object is
         *     {@link Reference }
         *     
         */
        public void setMeasurementOrFactReference(Reference value) {
            this.measurementOrFactReference = value;
        }

        /**
         * Gets the value of the isQuantitative property.
         * 
         * @return
         *     possible object is
         *     {@link Boolean }
         *     
         */
        public Boolean isIsQuantitative() {
            return isQuantitative;
        }

        /**
         * Sets the value of the isQuantitative property.
         * 
         * @param value
         *     allowed object is
         *     {@link Boolean }
         *     
         */
        public void setIsQuantitative(Boolean value) {
            this.isQuantitative = value;
        }

        /**
         * Gets the value of the referenceSystem property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getReferenceSystem() {
            return referenceSystem;
        }

        /**
         * Sets the value of the referenceSystem property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setReferenceSystem(String value) {
            this.referenceSystem = value;
        }

    }

}
